[FFmpeg-devel] configure: split the libaom check into decoder and encoder

Submitted by James Almer on Sept. 14, 2018, 4:29 p.m.

Details

Message ID 20180914162922.4560-1-jamrial@gmail.com
State New
Headers show

Commit Message

James Almer Sept. 14, 2018, 4:29 p.m.
libaom can be built with either of the two modules alone, and a generic check
for aom_codec_version would blindly enable both wrappers.

Check directly for the modules instead, and print a more descriptive error when
one is requested but not available.

Signed-off-by: James Almer <jamrial@gmail.com>
---
 configure | 11 ++++++++++-
 1 file changed, 10 insertions(+), 1 deletion(-)

Patch hide | download patch | download mbox

diff --git a/configure b/configure
index 14aa311ffd..80225d475b 100755
--- a/configure
+++ b/configure
@@ -6047,7 +6047,16 @@  enabled gmp               && require gmp gmp.h mpz_export -lgmp
 enabled gnutls            && require_pkg_config gnutls gnutls gnutls/gnutls.h gnutls_global_init
 enabled jni               && { [ $target_os = "android" ] && check_headers jni.h && enabled pthreads || die "ERROR: jni not found"; }
 enabled ladspa            && require_headers ladspa.h
-enabled libaom            && require_pkg_config libaom "aom >= 1.0.0" aom/aom_codec.h aom_codec_version
+enabled libaom            && {
+    enabled libaom_av1_decoder && {
+        check_pkg_config libaom_av1_decoder "aom >= 1.0.0" "aom/aom_decoder.h aom/aomdx.h" aom_codec_av1_dx ||
+            die "ERROR: libaom decoder version >= 1.0.0 not found";
+    }
+    enabled libaom_av1_encoder && {
+        check_pkg_config libaom_av1_encoder "aom >= 1.0.0" "aom/aom_encoder.h aom/aomcx.h" aom_codec_av1_cx ||
+            die "ERROR: libaom encoder version >= 1.0.0 not found";
+    }
+}
 enabled lv2               && require_pkg_config lv2 lilv-0 "lilv/lilv.h" lilv_world_new
 enabled libiec61883       && require libiec61883 libiec61883/iec61883.h iec61883_cmp_connect -lraw1394 -lavc1394 -lrom1394 -liec61883
 enabled libass            && require_pkg_config libass libass ass/ass.h ass_library_init